Skip to main content
POST
/
projects
/
{project_reference}
/
resources
Create Project Resource
curl --request POST \
  --url https://api.veryfront.com/projects/{project_reference}/resources \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "pattern": "<string>",
  "description": "<string>",
  "title": "<string>"
}
'
{
  "id": "<string>",
  "pattern": "<string>",
  "description": "<string>",
  "title": "<string>",
  "source_path": "<string>",
  "source": "<string>",
  "edit_mode": "structured",
  "source_only_reasons": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_reference
string
required

Query Parameters

source_target_kind
string
target_branch_id
string<uuid> | null

Body

application/json
id
string
required
Minimum string length: 1
pattern
string
required
Minimum string length: 1
description
string
required
Minimum string length: 1
title
string | null

Response

Created resource document

id
string
required
pattern
string
required
description
string
required
title
string | null
required
source_path
string
required
source
string
required
edit_mode
enum<string>
required
Available options:
structured,
source_only
source_only_reasons
string[]
required